al_unlock_mutex(3)

NAME

al_unlock_mutex - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_unlock_mutex(ALLEGRO_MUTEX *mutex)

DESCRIPTION

Release the lock on mutex if the calling thread holds the lock on it.

If the calling thread doesn't hold the lock, or if the mutex is not locked, undefined behaviour results.

SEE ALSO

al_lock_mutex(3).